PERMISSION_RULES = [
    ('assistants', 'create', 'institutionmanager', '*', '*', '4.3.7'),
    ('assistants', 'list', 'assistant', '*', '*', ''),
    ('assistants', 'list', 'candidate', 'id', '*', ''),
    ('assistants', 'list', 'candidate', 'user/id', '*', ''),
    ('assistants', 'list', 'candidate', 'user/email', '*', ''),
    ('assistants', 'list', 'candidate', 'user/first_name/el', '*', ''),
    ('assistants', 'list', 'candidate', 'user/last_name/el', '*', ''),
    ('assistants', 'list', 'candidate', 'user/home_phone_number', '*', ''),
    ('assistants', 'list', 'candidate', 'user/role', '*', ''),
    ('assistants', 'list', 'helpdeskadmin', '*', '*', '5.1.2'),
    ('assistants', 'list', 'helpdeskuser', '*', '*', '5.1.2'),
    ('assistants', 'list', 'institutionmanager', '*', '*', '4.3.7'),
    ('assistants', 'list', 'ministry', '*', '*', 'T2217'),
    ('assistants', 'list', 'professor', 'id', '*', ''),
    ('assistants', 'list', 'professor', 'user/id', '*', ''),
    ('assistants', 'list', 'professor', 'user/email', '*', ''),
    ('assistants', 'list', 'professor', 'user/first_name/el', '*', ''),
    ('assistants', 'list', 'professor', 'user/last_name/el', '*', ''),
    ('assistants', 'list', 'professor', 'user/home_phone_number', '*', ''),
    ('assistants', 'list', 'professor', 'user/role', '*', ''),
    ('assistants', 'update', 'institutionmanager', 'user/father_name/el', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'user/father_name/en', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'user/first_name/el', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'user/first_name/en', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'user/id_passport', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'user/last_name/el', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'user/last_name/en', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'can_create_registries', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'can_create_positions', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'departments', 'owned', ''),
    ('assistants', 'partial_update', 'institutionmanager', 'user/father_name/el', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'user/father_name/en', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'user/first_name/el', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'user/first_name/en', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'user/id_passport', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'user/last_name/el', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'user/last_name/en', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'can_create_registries', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'can_create_positions', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'departments', 'owned', ''),
    ('assistants', 'retrieve', 'assistant', '*', 'owned_by_assistant', ''),
    ('assistants', 'retrieve', 'helpdeskadmin', '*', '*', '5.1.2'),
    ('assistants', 'retrieve', 'helpdeskuser', '*', '*', '5.1.2'),
    ('assistants', 'retrieve', 'institutionmanager', '*', 'owned', '4.3.7'),
    ('assistants', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('assistants', 'update', 'assistant', 'user/email', 'owned_by_assistant', '4.3.7'),
    ('assistants', 'update', 'assistant', 'user/home_phone_number', 'owned_by_assistant', '4.3.7'),
    ('assistants', 'update', 'assistant', 'user/mobile_phone_number', 'owned_by_assistant', '4.3.7'),
    ('assistants', 'partial_update', 'assistant', 'user/home_phone_number', 'owned_by_assistant', '4.3.7'),
    ('assistants', 'partial_update', 'assistant', 'user/mobile_phone_number', 'owned_by_assistant', '4.3.7'),
    ('assistants', 'partial_update', 'assistant', 'user/email', 'owned_by_assistant', '4.3.7'),
    ('assistants', 'verify_user', 'helpdeskadmin', '*', '*', ''),
    ('assistants', 'verify_user', 'helpdeskuser', '*', '*', ''),
    ('assistants', 'verify_user', 'institutionmanager', '*', 'owned', ''),
    ('assistants', 'reject_user', 'helpdeskadmin', '*', '*', ''),
    ('assistants', 'reject_user', 'helpdeskuser', '*', '*', ''),
    ('assistants', 'reject_user', 'institutionmanager', '*', 'owned', ''),
    ('candidacies', 'create', 'candidate', '*', '*', '3.3.3'),
    ('candidacies', 'create', 'professor', '*', '*', '1.3.9'),
    ('candidacies', 'create', 'helpdeskadmin', '*', '*', '1.3.9'),
    ('candidacies', 'list', 'assistant', '*', '*', '4.3.16'),
    ('candidacies', 'list', 'candidate', '*', '*', '3.3.5'),
    ('candidacies', 'list', 'helpdeskadmin', '*', '*', '5.16'),
    ('candidacies', 'list', 'helpdeskuser', '*', '*', '5.16'),
    ('candidacies', 'list', 'institutionmanager', '*', '*', '4.3.16'),
    ('candidacies', 'list', 'ministry', '*', '*', 'T2217'),
    ('candidacies', 'list', 'professor', '*', '*', '1.3.3'),
    ('candidacies', 'update', 'helpdeskadmin', 'state', 'after_closed_electors_meeting_open', '5.2.3.a'),
    ('candidacies', 'update', 'professor', 'others_can_view', 'owned_open', ''),
    ('candidacies', 'update', 'professor', 'state', 'owned_open', '1.3.13'),
    ('candidacies', 'update', 'professor', 'self_evaluation_report', 'one_before_electors_meeting', ''),
    ('candidacies', 'update', 'professor', 'statement_file', 'five_before_electors_meeting', ''),
    ('candidacies', 'update', 'professor', 'attachment_files', 'one_before_electors_meeting', ''),
    ('candidacies', 'update', 'candidate', 'others_can_view', 'owned_open', ''),
    ('candidacies', 'update', 'candidate', 'state', 'owned_open', '3.3.7'),
    ('candidacies', 'update', 'candidate', 'self_evaluation_report', 'one_before_electors_meeting', ''),
    ('candidacies', 'update', 'candidate', 'statement_file', 'five_before_electors_meeting', ''),
    ('candidacies', 'update', 'candidate', 'attachment_files', 'one_before_electors_meeting', ''),
    ('candidacies', 'partial_update', 'candidate', 'state', 'owned_open', '3.3.7'),
    ('candidacies', 'partial_update', 'helpdeskadmin', 'state', 'after_closed_electors_meeting_open', '5.2.3.a'),
    ('candidacies', 'partial_update', 'professor', 'state', 'owned_open', '1.3.13'),
    ('candidacies', 'partial_update', 'professor', 'self_evaluation_report', 'one_before_electors_meeting', ''),
    ('candidacies', 'partial_update', 'professor', 'statement_file', 'five_before_electors_meeting', ''),
    ('candidacies', 'partial_update', 'professor', 'attachment_files', 'one_before_electors_meeting', ''),
    ('candidacies', 'partial_update', 'candidate', 'self_evaluation_report', 'one_before_electors_meeting', ''),
    ('candidacies', 'partial_update', 'candidate', 'statement_file', 'one_before_electors_meeting', ''),
    ('candidacies', 'partial_update', 'candidate', 'attachment_files', 'one_before_electors_meeting', ''),
    ('candidacies', 'retrieve', 'assistant', '*', 'owned_by_assistant', '4.3.16'),
    ('candidacies', 'retrieve', 'candidate', '*', 'others_can_view', '3.3.5'),
    ('candidacies', 'retrieve', 'candidate', '*', 'owned', '3.3.5'),
    ('candidacies', 'retrieve', 'helpdeskadmin', '*', '*', '5.17'),
    ('candidacies', 'retrieve', 'helpdeskuser', '*', '*', '5.17'),
    ('candidacies', 'retrieve', 'institutionmanager', '*', 'owned', '4.3.16'),
    ('candidacies', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('candidacies', 'retrieve', 'professor', '*', 'others_can_view', '1.3.5'),
    ('candidacies', 'retrieve', 'professor', '*', 'owned', '1.3.5'),
    ('candidacies', 'retrieve', 'professor', '*', 'is_dep_candidacy', ''),
    ('candidacies', 'retrieve', 'professor', '*', 'participates', '1.3.5'),
    ('candidacies', 'history', 'institutionmanager', '*', 'owned', '4.3.9'),
    ('candidacies', 'history', 'assistant', '*', 'owned_by_assistant', '4.3.9'),
    ('candidacies', 'history', 'professor', '*', 'participates', '4.3.9'),
    ('candidacies', 'history', 'candidate', '*', 'owned', '4.3.9'),
    ('candidacies', 'upload', 'candidate', '*', 'owned', ''),
    ('candidacies', 'upload', 'professor', '*', 'owned', ''),
    ('candidacies', 'upload', 'helpdeskadmin', '*', '*', ''),
    ('candidates', 'list', 'helpdeskadmin', '*', '*', '5.1.2'),
    ('candidates', 'list', 'helpdeskuser', '*', '*', '5.1.2'),
    ('candidates', 'list', 'ministry', '*', '*', 'T2217'),
    ('candidates', 'update', 'helpdeskadmin', '*', '*', '5.1.3'),
    ('candidates', 'update', 'helpdeskuser', '*', '*', '5.1.3'),
    ('candidates', 'partial_update', 'helpdeskadmin', '*', '*', '5.1.3'),
    ('candidates', 'partial_update', 'helpdeskuser', '*', '*', '5.1.3'),
    ('candidates', 'retrieve', 'helpdeskadmin', '*', '*', '5.1.3'),
    ('candidates', 'retrieve', 'helpdeskuser', '*', '*', '5.1.3'),
    ('candidates', 'retrieve', 'candidate', '*', 'owned', '3'),
    ('candidates', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('candidates', 'upload', 'candidate', '*', 'owned', '3'),
    ('candidates', 'upload', 'helpdeskadmin', '*', '*', ''),
    ('candidates', 'sync_candidacies', 'candidate', '*', 'owned', ''),
    ('candidates', 'request_verification', 'candidate', '*', 'owned', ''),
    ('candidates', 'request_changes', 'helpdeskadmin', '*', '*', ''),
    ('candidates', 'request_changes', 'helpdeskuser', '*', '*', ''),
    ('candidates', 'verify_user', 'helpdeskadmin', '*', '*', ''),
    ('candidates', 'verify_user', 'helpdeskuser', '*', '*', ''),
    ('candidates', 'reject_user', 'helpdeskadmin', '*', '*', ''),
    ('candidates', 'reject_user', 'helpdeskuser', '*', '*', ''),
    ('departments', 'create', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('departments', 'destroy', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('departments', 'list', 'anonymous', '*', '*', ''),
    ('departments', 'list', 'assistant', '*', '*', ''),
    ('departments', 'list', 'candidate', '*', '*', ''),
    ('departments', 'list', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('departments', 'list', 'helpdeskuser', '*', '*', '5.2.5'),
    ('departments', 'list', 'institutionmanager', '*', '*', '4.3.21'),
    ('departments', 'list', 'ministry', '*', '*', 'T2217'),
    ('departments', 'list', 'professor', '*', '*', '1.3.14'),
    ('departments', 'retrieve', 'assistant', '*', '*', ''),
    ('departments', 'retrieve', 'candidate', '*', '*', '3.3.1'),
    ('departments', 'retrieve', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('departments', 'retrieve', 'helpdeskuser', '*', '*', '5.2.5'),
    ('departments', 'retrieve', 'institutionmanager', '*', '*', '4.3.10'),
    ('departments', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('departments', 'retrieve', 'professor', '*', '*', '1.2.1'),
    ('departments', 'update', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('departments', 'partial_update', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('departments', 'update', 'institutionmanager', 'dep_number', '*', '5.2.5'),
    ('departments', 'partial_update', 'institutionmanager', 'dep_number', '*', '5.2.5'),
    ('departments', 'update', 'assistant', 'dep_number', 'owned_by_assistant', ''),
    ('departments', 'partial_update', 'assistant', 'dep_number', 'owned_by_assistant', ''),
    ('helpdeskusers', 'create', 'helpdeskadmin', '*', '*', ''),
    ('helpdeskusers', 'list', 'helpdeskadmin', '*', '*', ''),
    ('helpdeskusers', 'update', 'helpdeskadmin', 'user/email', '*', ''),
    ('helpdeskusers', 'partial_update', 'helpdeskadmin', 'user/email', '*', ''),
    ('helpdeskusers', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'list', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'list', 'helpdeskuser', '*', '*', ''),
    ('institution-managers', 'list', 'ministry', '*', '*', 'T2217'),
    ('institution-managers', 'list', 'professor', 'id', '*', ''),
    ('institution-managers', 'list', 'professor', 'user/id', '*', ''),
    ('institution-managers', 'list', 'professor', 'user/role', '*', ''),
    ('institution-managers', 'list', 'professor', 'user/email', '*', ''),
    ('institution-managers', 'list', 'professor', 'user/first_name/el', '*', ''),
    ('institution-managers', 'list', 'professor', 'user/last_name/el', '*', ''),
    ('institution-managers', 'list', 'professor', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'list', 'professor', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'list', 'professor', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'list', 'professor', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'list', 'professor', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'list', 'professor', 'sub_email', '*', ''),
    ('institution-managers', 'list', 'professor', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'list', 'candidate', 'id', '*', ''),
    ('institution-managers', 'list', 'candidate', 'user/id', '*', ''),
    ('institution-managers', 'list', 'candidate', 'user/role', '*', ''),
    ('institution-managers', 'list', 'candidate', 'user/email', '*', ''),
    ('institution-managers', 'list', 'candidate', 'user/first_name/el', '*', ''),
    ('institution-managers', 'list', 'candidate', 'user/last_name/el', '*', ''),
    ('institution-managers', 'list', 'candidate', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'list', 'candidate', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'list', 'candidate', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'list', 'candidate', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'list', 'candidate', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'list', 'candidate', 'sub_email', '*', ''),
    ('institution-managers', 'list', 'candidate', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'id', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'user/id', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'user/role', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'user/email', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'user/first_name/el', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'user/last_name/el', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'sub_email', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'list', 'assistant', 'id', '*', ''),
    ('institution-managers', 'list', 'assistant', 'user/id', '*', ''),
    ('institution-managers', 'list', 'assistant', 'user/role', '*', ''),
    ('institution-managers', 'list', 'assistant', 'user/email', '*', ''),
    ('institution-managers', 'list', 'assistant', 'user/first_name/el', '*', ''),
    ('institution-managers', 'list', 'assistant', 'user/last_name/el', '*', ''),
    ('institution-managers', 'list', 'assistant', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'list', 'assistant', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'list', 'assistant', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'list', 'assistant', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'list', 'assistant', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'list', 'assistant', 'sub_email', '*', ''),
    ('institution-managers', 'list', 'assistant', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'update', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'update', 'helpdeskuser', '*', '*', ''),
    ('institution-managers', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('institution-managers', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('institution-managers', 'partial_update', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'partial_update', 'helpdeskuser', '*', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', '*', 'owned_by_assistant', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', '*', 'owned', ''),
    ('institution-managers', 'retrieve', 'professor', 'id', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'user/id', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'user/role', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'user/email', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'user/first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'user/last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'sub_email', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'id', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'user/id', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'user/role', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'user/email', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'user/first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'user/last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'sub_email', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'id', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'user/id', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'user/role', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'user/email', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'user/first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'user/last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'sub_email', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'id', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'user/id', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'user/role', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'user/email', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'user/first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'user/last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'sub_email', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'request_verification', 'institutionmanager', '*', 'owned', ''),
    ('institution-managers', 'request_changes', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'request_changes', 'helpdeskuser', '*', '*', ''),
    ('institution-managers', 'verify_user', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'verify_user', 'helpdeskuser', '*', '*', ''),
    ('institution-managers', 'reject_user', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'reject_user', 'helpdeskuser', '*', '*', ''),
    ('institutions', 'create', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('institutions', 'destroy', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('institutions', 'list', 'anonymous', '*', '*', ''),
    ('institutions', 'list', 'assistant', '*', '*', ''),
    ('institutions', 'list', 'candidate', '*', '*', '3.3.10'),
    ('institutions', 'list', 'helpdeskadmin', '*', '*', '5.8'),
    ('institutions', 'list', 'helpdeskuser', '*', '*', '5.8'),
    ('institutions', 'list', 'institutionmanager', '*', '*', '4.3.22'),
    ('institutions', 'list', 'ministry', '*', '*', 'T2217'),
    ('institutions', 'list', 'professor', '*', '*', '1.3.15'),
    ('institutions', 'update', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('institutions', 'update', 'institutionmanager', 'organization', 'owned', ''),
    ('institutions', 'update', 'institutionmanager', 'regulatory_framework', 'owned', ''),
    ('institutions', 'partial_update', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('institutions', 'partial_update', 'institutionmanager', 'organization', 'owned', ''),
    ('institutions', 'partial_update', 'institutionmanager', 'regulatory_framework', 'owned', ''),
    ('institutions', 'retrieve', 'assistant', '*', '*', ''),
    ('institutions', 'retrieve', 'candidate', '*', '*', '3.3.10'),
    ('institutions', 'retrieve', 'helpdeskadmin', '*', '*', '5.8'),
    ('institutions', 'retrieve', 'helpdeskuser', '*', '*', '5.8'),
    ('institutions', 'retrieve', 'institutionmanager', '*', '*', '4.3.22'),
    ('institutions', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('institutions', 'retrieve', 'professor', '*', '*', '1.3.15'),
    ('positions', 'create', 'institutionmanager', '*', '*', '4.3.10'),
    ('positions', 'create', 'assistant', '*', 'can_create', 'T1721'),
    ('positions', 'list', 'assistant', '*', '*', ''),
    ('positions', 'list', 'candidate', '*', '*', '3.3.2'),
    ('positions', 'list', 'helpdeskadmin', '*', '*', '5.13'),
    ('positions', 'list', 'helpdeskuser', '*', '*', '5.13'),
    ('positions', 'list', 'institutionmanager', '*', '*', '4.3.9'),
    ('positions', 'list', 'ministry', '*', '*', 'T2217'),
    ('positions', 'list', 'professor', '*', '*', '3.3.2'),
    ('positions', 'update', 'institutionmanager', 'electors', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'electors_regular_internal', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'electors_regular_external', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'electors_sub_internal', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'electors_sub_external', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'committee', 'electing', '4.3.15'),
    ('positions', 'update', 'institutionmanager', 'committee_internal', 'electing', '4.3.15'),
    ('positions', 'update', 'institutionmanager', 'committee_external', 'electing', '4.3.15'),
    ('positions', 'update', 'institutionmanager', 'elected', 'electing', '4.3.11.f'),
    ('positions', 'update', 'institutionmanager', 'second_best', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'department', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'description', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'discipline', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'ends_at', 'before_open', '4.3.11.c'),
    ('positions', 'update', 'institutionmanager', 'fek', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'fek_posted_at', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'starts_at', 'before_open', '4.3.11.c'),
    ('positions', 'update', 'institutionmanager', 'subject', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'subject_area', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'title', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'rank', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'state', 'before_open', '4.3.11.b'),
    ('positions', 'update', 'institutionmanager', 'state', 'after_closed', ''),
    ('positions', 'update', 'institutionmanager', 'state', 'electing', '4.3.11.g, 4.3.11.h'),
    ('positions', 'update', 'institutionmanager', 'state', 'revoked', ''),
    ('positions', 'update', 'institutionmanager', 'electors_meeting_to_set_committee_date', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'electors_meeting_date', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'nomination_act_fek', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'assistant_files', 'owned', ''),
    ('positions', 'update', 'assistant', 'electors_regular_internal', 'electing', ''),
    ('positions', 'update', 'assistant', 'electors_regular_external', 'electing', ''),
    ('positions', 'update', 'assistant', 'electors_sub_internal', 'electing', ''),
    ('positions', 'update', 'assistant', 'electors_sub_external', 'electing', ''),
    ('positions', 'update', 'assistant', 'committee', 'electing', '4.3.15'),
    ('positions', 'update', 'assistant', 'committee_internal', 'electing', '4.3.15'),
    ('positions', 'update', 'assistant', 'committee_external', 'electing', '4.3.15'),
    ('positions', 'update', 'assistant', 'elected', 'electing', '4.3.11.f'),
    ('positions', 'update', 'assistant', 'second_best', 'electing', '4.3.11.f'),
    ('positions', 'update', 'assistant', 'department', 'before_open', ''),
    ('positions', 'update', 'assistant', 'description', 'before_open', ''),
    ('positions', 'update', 'assistant', 'discipline', 'before_open', ''),
    ('positions', 'update', 'assistant', 'ends_at', 'before_open', '4.3.11.c'),
    ('positions', 'update', 'assistant', 'fek', 'before_open', ''),
    ('positions', 'update', 'assistant', 'fek_posted_at', 'before_open', ''),
    ('positions', 'update', 'assistant', 'starts_at', 'before_open', '4.3.11.c'),
    ('positions', 'update', 'assistant', 'subject', 'before_open', ''),
    ('positions', 'update', 'assistant', 'subject_area', 'before_open', ''),
    ('positions', 'update', 'assistant', 'title', 'before_open', ''),
    ('positions', 'update', 'assistant', 'rank', 'before_open', ''),
    ('positions', 'update', 'assistant', 'state', 'before_open', '4.3.11.b'),
    ('positions', 'update', 'assistant', 'state', 'electing', '4.3.11.g, 4.3.11.h'),
    ('positions', 'update', 'assistant', 'state', 'after_closed', ''),
    ('positions', 'update', 'assistant', 'state', 'revoked', ''),
    ('positions', 'update', 'assistant', 'electors_meeting_to_set_committee_date', 'electing', ''),
    ('positions', 'update', 'assistant', 'electors_meeting_date', 'electing', ''),
    ('positions', 'update', 'assistant', 'nomination_act_fek', 'electing', ''),
    ('positions', 'update', 'assistant', 'assistant_files', 'owned_by_assistant', ''),
    ('positions', 'update', 'helpdeskadmin', 'state', '*', ''),
    ('positions', 'update', 'helpdeskadmin', 'department', 'open', ''),
    ('positions', 'update', 'helpdeskadmin', 'description', 'open', ''),
    ('positions', 'update', 'helpdeskadmin', 'discipline', 'open', ''),
    ('positions', 'update', 'helpdeskadmin', 'ends_at', 'open', '4.3.11.c'),
    ('positions', 'update', 'helpdeskadmin', 'fek', 'open', ''),
    ('positions', 'update', 'helpdeskadmin', 'fek_posted_at', 'open', ''),
    ('positions', 'update', 'helpdeskadmin', 'starts_at', 'open', '4.3.11.c'),
    ('positions', 'update', 'helpdeskadmin', 'subject', 'open', ''),
    ('positions', 'update', 'helpdeskadmin', 'subject_area', 'open', ''),
    ('positions', 'update', 'helpdeskadmin', 'title', 'open', ''),
    ('positions', 'update', 'helpdeskadmin', 'rank', 'open', ''),
    ('positions', 'update', 'helpdeskadmin', 'department', 'after_closed', ''),
    ('positions', 'update', 'helpdeskadmin', 'description', 'after_closed', ''),
    ('positions', 'update', 'helpdeskadmin', 'discipline', 'after_closed', ''),
    ('positions', 'update', 'helpdeskadmin', 'ends_at', 'after_closed', '4.3.11.c'),
    ('positions', 'update', 'helpdeskadmin', 'fek', 'after_closed', ''),
    ('positions', 'update', 'helpdeskadmin', 'fek_posted_at', 'after_closed', ''),
    ('positions', 'update', 'helpdeskadmin', 'starts_at', 'after_closed', '4.3.11.c'),
    ('positions', 'update', 'helpdeskadmin', 'subject', 'after_closed', ''),
    ('positions', 'update', 'helpdeskadmin', 'subject_area', 'after_closed', ''),
    ('positions', 'update', 'helpdeskadmin', 'title', 'after_closed', ''),
    ('positions', 'update', 'helpdeskadmin', 'rank', 'after_closed', ''),
    ('positions', 'update', 'helpdeskadmin', 'assistant_files', '*', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'state', '*', '5.2.4'),
    ('positions', 'partial_update', 'helpdeskadmin', 'department', 'before_open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'description', 'before_open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'discipline', 'before_open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'ends_at', 'before_open', '4.3.11.c'),
    ('positions', 'partial_update', 'helpdeskadmin', 'fek', 'before_open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'fek_posted_at', 'before_open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'starts_at', 'before_open', '4.3.11.c'),
    ('positions', 'partial_update', 'helpdeskadmin', 'subject', 'before_open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'subject_area', 'before_open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'title', 'before_open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'rank', 'before_open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'department', 'open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'description', 'open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'discipline', 'open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'ends_at', 'open', '4.3.11.c'),
    ('positions', 'partial_update', 'helpdeskadmin', 'fek', 'open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'fek_posted_at', 'open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'starts_at', 'open', '4.3.11.c'),
    ('positions', 'partial_update', 'helpdeskadmin', 'subject', 'open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'subject_area', 'open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'title', 'open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'rank', 'open', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'department', 'after_closed', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'description', 'after_closed', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'discipline', 'after_closed', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'ends_at', 'after_closed', '4.3.11.c'),
    ('positions', 'partial_update', 'helpdeskadmin', 'fek', 'after_closed', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'fek_posted_at', 'after_closed', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'starts_at', 'after_closed', '4.3.11.c'),
    ('positions', 'partial_update', 'helpdeskadmin', 'subject', 'after_closed', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'subject_area', 'after_closed', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'title', 'after_closed', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'rank', 'after_closed', ''),
    ('positions', 'partial_update', 'institutionmanager', 'electors', 'electing', '4.3.15'),
    ('positions', 'partial_update', 'institutionmanager', 'committee', 'electing', '4.3.15'),
    ('positions', 'partial_update', 'institutionmanager', 'elected', 'electing', '4.3.11.f'),
    ('positions', 'partial_update', 'institutionmanager', 'second_best', 'electing', ''),
    ('positions', 'partial_update', 'institutionmanager', 'department', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'description', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'discipline', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'ends_at', 'before_open', '4.3.11.c'),
    ('positions', 'partial_update', 'institutionmanager', 'fek', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'fek_posted_at', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'starts_at', 'before_open', '4.3.11.c'),
    ('positions', 'partial_update', 'institutionmanager', 'subject', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'subject_area', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'title', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'rank', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'state', 'before_open', '4.3.11.b'),
    ('positions', 'partial_update', 'institutionmanager', 'state', 'after_closed', ''),
    ('positions', 'partial_update', 'institutionmanager', 'state', 'electing', '4.3.11.g, 4.3.11.h'),
    ('positions', 'partial_update', 'institutionmanager', 'electors_meeting_to_set_committee_date', 'electing', ''),
    ('positions', 'partial_update', 'institutionmanager', 'electors_meeting_date', 'electing', ''),
    ('positions', 'partial_update', 'institutionmanager', 'nomination_act_fek', 'electing', ''),
    ('positions', 'partial_update', 'assistant', 'committee', 'electing', '4.3.15'),
    ('positions', 'partial_update', 'assistant', 'elected', 'electing', '4.3.11.f'),
    ('positions', 'partial_update', 'assistant', 'second_best', 'electing', ''),
    ('positions', 'partial_update', 'assistant', 'department', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'description', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'discipline', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'ends_at', 'before_open', '4.3.11.c'),
    ('positions', 'partial_update', 'assistant', 'fek', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'fek_posted_at', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'starts_at', 'before_open', '4.3.11.c'),
    ('positions', 'partial_update', 'assistant', 'subject', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'subject_area', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'title', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'rank', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'state', 'before_open', '4.3.11.b'),
    ('positions', 'partial_update', 'assistant', 'state', 'electing', '4.3.11.g, 4.3.11.h'),
    ('positions', 'partial_update', 'assistant', 'electors_meeting_to_set_committee_date', 'electing', ''),
    ('positions', 'partial_update', 'assistant', 'electors_meeting_date', 'electing', ''),
    ('positions', 'partial_update', 'assistant', 'nomination_act_fek', 'electing', ''),
    ('positions', 'retrieve', 'assistant', '*', '*', ''),
    ('positions', 'retrieve', 'candidate', '*', '*', '3.3.4'),
    ('positions', 'retrieve', 'helpdeskadmin', '*', '*', '5.14'),
    ('positions', 'retrieve', 'helpdeskuser', '*', '*', '5.14'),
    ('positions', 'retrieve', 'institutionmanager', '*', 'owned', '4.3.9'),
    ('positions', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('positions', 'retrieve', 'professor', '*', 'open', '1.3'),
    ('positions', 'retrieve', 'professor', '*', '*', '1.3'),
    ('positions', 'history', 'institutionmanager', '*', 'owned', '4.3.9'),
    ('positions', 'history', 'assistant', '*', '*', '4.3.9'),
    ('positions', 'history', 'candidate', '*', '*', '4.3.9'),
    ('positions', 'history', 'helpdeskadmin', '*', '*', '4.3.9'),
    ('positions', 'history', 'helpdeskuser', '*', '*', '4.3.9'),
    ('positions', 'history', 'ministry', '*', '*', 'T2217'),
    ('positions', 'history', 'professor', '*', '*', '4.3.9'),
    ('positions', 'upload', 'institutionmanager', '*', 'owned', ''),
    ('positions', 'upload', 'assistant', '*', 'owned_by_assistant', ''),
    ('positions', 'upload', 'helpdeskadmin', '*', '*', ''),
    ('professors', 'list', 'assistant', '*', '*', ''),
    ('professors', 'list', 'helpdeskadmin', '*', '*', '5.1.2'),
    ('professors', 'list', 'helpdeskuser', '*', '*', '5.1.2'),
    ('professors', 'list', 'institutionmanager', '*', '*', ''),
    ('professors', 'list', 'ministry', '*', '*', 'T2217'),
    ('professors', 'update', 'helpdeskadmin', '*', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', '*', '*', '5.1.5'),
    ('professors', 'update', 'professor', 'rank', 'owned', ''),
    ('professors', 'update', 'institutionmanager', 'leave_starts_at', 'owned_by_manager', ''),
    ('professors', 'update', 'institutionmanager', 'leave_ends_at', 'owned_by_manager', ''),
    ('professors', 'update', 'institutionmanager', 'leave_file', 'owned_by_manager', ''),
    ('professors', 'update', 'assistant', 'leave_starts_at', 'owned_by_manager', ''),
    ('professors', 'update', 'assistant', 'leave_ends_at', 'owned_by_manager', ''),
    ('professors', 'update', 'assistant', 'leave_file', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'helpdeskadmin', '*', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', '*', '*', '5.1.5'),
    ('professors', 'partial_update', 'professor', 'rank', 'owned', ''),
    ('professors', 'partial_update', 'institutionmanager', 'leave_starts_at', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'institutionmanager', 'leave_ends_at', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'institutionmanager', 'leave_file', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'assistant', 'leave_starts_at', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'assistant', 'leave_ends_at', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'assistant', 'leave_file', 'owned_by_manager', ''),
    ('professors', 'retrieve', 'assistant', '*', '*', ''),
    ('professors', 'retrieve', 'helpdeskadmin', '*', '*', '5.1.3'),
    ('professors', 'retrieve', 'helpdeskuser', '*', '*', '5.1.3'),
    ('professors', 'retrieve', 'institutionmanager', '*', '*', ''),
    ('professors', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('professors', 'retrieve', 'professor', '*', 'owned', ''),
    ('professors', 'retrieve', 'professor', '*', 'participates', ''),
    ('professors', 'retrieve', 'candidate', '*', 'participates', ''),
    ('professors', 'upload', 'professor', '*', 'owned', ''),
    ('professors', 'upload', 'helpdeskadmin', '*', '*', ''),
    ('professors', 'upload', 'helpdeskuser', '*', '*', ''),
    ('professors', 'upload', 'institutionmanager', '*', 'owned_by_manager', ''),
    ('professors', 'upload', 'assistant', '*', 'owned_by_manager', ''),
    ('professors', 'sync_candidacies', 'professor', '*', 'owned', ''),
    ('professors', 'request_verification', 'professor', '*', 'owned', ''),
    ('professors', 'request_changes', 'helpdeskadmin', '*', '*', ''),
    ('professors', 'request_changes', 'helpdeskuser', '*', '*', ''),
    ('professors', 'verify_user', 'helpdeskadmin', '*', '*', ''),
    ('professors', 'verify_user', 'helpdeskuser', '*', '*', ''),
    ('professors', 'reject_user', 'helpdeskadmin', '*', '*', ''),
    ('professors', 'reject_user', 'helpdeskuser', '*', '*', ''),
    ('registries', 'create', 'institutionmanager', '*', '*', '4.3.3'),
    ('registries', 'create', 'assistant', '*', 'can_create', 'T1721'),
    ('registries', 'list', 'candidate', '*', '*', '3.3.9'),
    ('registries', 'list', 'helpdeskadmin', '*', '*', '5.1.9'),
    ('registries', 'list', 'helpdeskuser', '*', '*', '5.1.9'),
    ('registries', 'list', 'institutionmanager', '*', '*', '4.3.1'),
    ('registries', 'list', 'assistant', '*', '*', 'T1721'),
    ('registries', 'list', 'ministry', '*', '*', 'T2217'),
    ('registries', 'list', 'professor', '*', '*', '1.3.14'),
    ('registries', 'members', 'assistant', '*', '*', ''),
    ('registries', 'members', 'helpdeskadmin', '*', '*', ''),
    ('registries', 'members', 'helpdeskuser', '*', '*', ''),
    ('registries', 'members', 'institutionmanager', '*', '*', '4.3.6'),
    ('registries', 'members', 'ministry', '*', '*', 'T2217'),
    ('registries', 'members', 'professor', '*', '*', ''),
    ('registries', 'members', 'candidate', '*', '*', ''),
    ('registries', 'retrieve', 'candidate', '*', '*', '3.3.9'),
    ('registries', 'retrieve', 'helpdeskadmin', '*', '*', '5.1.9'),
    ('registries', 'retrieve', 'helpdeskuser', '*', '*', '5.1.9'),
    ('registries', 'retrieve', 'institutionmanager', '*', '*', '4.3.1'),
    ('registries', 'retrieve', 'assistant', '*', '*', ''),
    ('registries', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('registries', 'retrieve', 'professor', '*', '*', '1.3.14'),
    ('registries', 'update', 'institutionmanager', 'members', 'owned', '4.3.6'),
    ('registries', 'update', 'institutionmanager', 'type', 'owned', '4.3.6'),
    ('registries', 'update', 'institutionmanager', 'registry_set_decision_file', 'owned', '4.3.6'),
    ('registries', 'update', 'assistant', 'members', 'can_create_owned', ''),
    ('registries', 'update', 'assistant', 'type', 'can_create_owned', '4.3.6'),
    ('registries', 'update', 'assistant', 'registry_set_decision_file', 'can_create_owned', ''),
    ('registries', 'partial_update', 'institutionmanager', 'members', 'owned', '4.3.6'),
    ('registries', 'partial_update', 'institutionmanager', 'registry_set_decision_file', 'owned', '4.3.6'),
    ('registries', 'partial_update', 'assistant', 'members', 'can_create_owned', ''),
    ('registries', 'partial_update', 'assistant', 'registry_set_decision_file', 'can_create_owned', ''),
    ('registries', 'update', 'helpdeskadmin', '*', '*', ''),
    ('registries', 'partial_update', 'helpdeskadmin', '*', '*', ''),
    ('registries', 'upload', 'institutionmanager', '*', '*', ''),
    ('registries', 'upload', 'assistant', '*', 'can_create_owned', ''),
    ('schools', 'create', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('schools', 'destroy', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('schools', 'list', 'assistant', '*', '*', ''),
    ('schools', 'list', 'candidate', '*', '*', ''),
    ('schools', 'list', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('schools', 'list', 'helpdeskuser', '*', '*', '5.2.5'),
    ('schools', 'list', 'institutionmanager', '*', '*', '4.3.21'),
    ('schools', 'list', 'ministry', '*', '*', 'T2217'),
    ('schools', 'list', 'professor', '*', '*', '1.3.14'),
    ('schools', 'update', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('schools', 'partial_update', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('schools', 'retrieve', 'assistant', '*', '*', ''),
    ('schools', 'retrieve', 'candidate', '*', '*', '3.3.1'),
    ('schools', 'retrieve', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('schools', 'retrieve', 'helpdeskuser', '*', '*', '5.2.5'),
    ('schools', 'retrieve', 'institutionmanager', '*', '*', '4.3.10'),
    ('schools', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('schools', 'retrieve', 'professor', '*', '*', '1.2.1'),
    ('subject-areas', 'create', 'helpdeskadmin', '*', '*', ''),
    ('subject-areas', 'destroy', 'helpdeskadmin', '*', '*', ''),
    ('subject-areas', 'list', 'assistant', '*', '*', ''),
    ('subject-areas', 'list', 'candidate', '*', '*', '3.3.1'),
    ('subject-areas', 'list', 'helpdeskadmin', '*', '*', ''),
    ('subject-areas', 'list', 'helpdeskuser', '*', '*', ''),
    ('subject-areas', 'list', 'institutionmanager', '*', '*', '4.3.10'),
    ('subject-areas', 'list', 'professor', '*', '*', '3.3.1'),
    ('subject-areas', 'retrieve', 'assistant', '*', '*', ''),
    ('subject-areas', 'retrieve', 'candidate', '*', '*', '3.3.2'),
    ('subject-areas', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('subject-areas', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('subject-areas', 'retrieve', 'institutionmanager', '*', '*', '4.3.10'),
    ('subject-areas', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('subject-areas', 'retrieve', 'professor', '*', '*', '1.3.3'),
    ('subject-areas', 'update', 'helpdeskadmin', '*', '*', ''),
    ('subject-areas', 'partial_update', 'helpdeskadmin', '*', '*', ''),
    ('subjects', 'create', 'helpdeskadmin', '*', '*', ''),
    ('subjects', 'destroy', 'helpdeskadmin', '*', '*', ''),
    ('subjects', 'list', 'assistant', '*', '*', ''),
    ('subjects', 'list', 'candidate', '*', '*', '3.3.1'),
    ('subjects', 'list', 'helpdeskadmin', '*', '*', ''),
    ('subjects', 'list', 'helpdeskuser', '*', '*', ''),
    ('subjects', 'list', 'institutionmanager', '*', '*', '4.3.10'),
    ('subjects', 'list', 'professor', '*', '*', '3.3.1'),
    ('subjects', 'retrieve', 'assistant', '*', '*', ''),
    ('subjects', 'retrieve', 'candidate', '*', '*', '3.3.2'),
    ('subjects', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('subjects', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('subjects', 'retrieve', 'institutionmanager', '*', '*', '4.3.10'),
    ('subjects', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('subjects', 'retrieve', 'professor', '*', '*', '1.3.3'),
    ('subjects', 'update', 'helpdeskadmin', '*', '*', ''),
    ('subjects', 'partial_update', 'helpdeskadmin', '*', '*', ''),
    ('user-interests', 'create', 'professor', '*', '*', ''),
    ('user-interests', 'list', 'professor', '*', '*', ''),
    ('user-interests', 'retrieve', 'professor', '*', 'owned', ''),
    ('user-interests', 'update', 'professor', '*', 'owned', ''),
    ('user-interests', 'partial_update', 'professor', '*', 'owned', ''),
    ('user-interests', 'create', 'candidate', '*', '*', ''),
    ('user-interests', 'list', 'candidate', '*', '*', ''),
    ('user-interests', 'retrieve', 'candidate', '*', 'owned', ''),
    ('user-interests', 'update', 'candidate', '*', 'owned', ''),
    ('user-interests', 'partial_update', 'candidate', '*', 'owned', ''),
    ('users', 'retrieve', 'professor', '*', 'owned', ''),
    ('users', 'retrieve', 'professor', '*', 'is_cocandidate', ''),
    ('users', 'retrieve', 'professor', '*', 'is_dep_candidate', ''),
    ('users', 'retrieve', 'candidate', '*', 'owned', ''),
    ('users', 'retrieve', 'candidate', '*', 'is_cocandidate', ''),
    ('users', 'retrieve', 'assistant', '*', 'owned', ''),
    ('users', 'retrieve', 'institutionmanager', '*', 'owned', ''),
    ('users', 'retrieve', 'assistant', '*', 'is_candidate', ''),
    ('users', 'retrieve', 'institutionmanager', '*', 'is_candidate', ''),
    ('users', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('users', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('users', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('users', 'list', 'helpdeskadmin', '*', '*', ''),
    ('users', 'list', 'helpdeskuser', '*', '*', ''),
    ('users', 'update', 'helpdeskuser', 'is_active', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'is_active', '*', ''),
    ('users', 'partial_update', 'helpdeskadmin', 'is_active', '*', ''),
    ('users', 'partial_update', 'helpdeskuser', 'is_active', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'first_name/el', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'first_name/en', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'last_name/el', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'last_name/en', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'father_name/el', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'father_name/en', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'id_passport', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'mobile_phone_number', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'home_phone_number', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'email', '*', ''),
    ('users', 'update', 'helpdeskuser', 'first_name/el', '*', ''),
    ('users', 'update', 'helpdeskuser', 'first_name/en', '*', ''),
    ('users', 'update', 'helpdeskuser', 'last_name/el', '*', ''),
    ('users', 'update', 'helpdeskuser', 'last_name/en', '*', ''),
    ('users', 'update', 'helpdeskuser', 'father_name/el', '*', ''),
    ('users', 'update', 'helpdeskuser', 'father_name/en', '*', ''),
    ('users', 'update', 'helpdeskuser', 'id_passport', '*', ''),
    ('users', 'update', 'helpdeskuser', 'mobile_phone_number', '*', ''),
    ('users', 'update', 'helpdeskuser', 'home_phone_number', '*', ''),
    ('users', 'update', 'helpdeskuser', 'email', '*', ''),
    ('users', 'accept_terms', '*', '*', 'owned', ''),
    ('apella-files', 'list', 'helpdeskadmin', '*', '*', ''),
    ('apella-files', 'list', 'helpdeskuser', '*', '*', ''),
    ('apella-files', 'list', 'candidate', '*', '*', ''),
    ('apella-files', 'list', 'professor', '*', '*', ''),
    ('apella-files', 'list', 'institutionmanager', '*', '*', ''),
    ('apella-files', 'list', 'assistant', '*', '*', ''),
    ('apella-files', 'list', 'ministry', '*', '*', ''),
    ('apella-files', 'download_head', 'helpdeskadmin', '*', '*', ''),
    ('apella-files', 'download_head', 'helpdeskuser', '*', '*', ''),
    ('apella-files', 'download_head', 'ministry', '*', '*', 'T2217'),
    ('apella-files', 'download_head', 'candidate', '*', 'owned', ''),
    ('apella-files', 'download_head', 'candidate', '*', 'others_can_view', ''),
    ('apella-files', 'download_head', 'candidate', '*', 'is_candidate', ''),
    ('apella-files', 'download_head', 'professor', '*', 'owned', ''),
    ('apella-files', 'download_head', 'professor', '*', 'others_can_view', ''),
    ('apella-files', 'download_head', 'professor', '*', 'participates', ''),
    ('apella-files', 'download_head', 'institutionmanager', '*', 'owned_by_manager', ''),
    ('apella-files', 'download_head', 'assistant', '*', 'owned_by_manager', ''),
    ('apella-files', 'download_head', 'candidate', '*', 'public_file', ''),
    ('apella-files', 'download_head', 'professor', '*', 'public_file', ''),
    ('apella-files', 'download_head', 'assistant', '*', 'public_file', ''),
    ('apella-files', 'download_head', 'institutionmanager', '*', 'public_file', ''),
    ('apella-files', 'download_get', '*', '*', '*', ''),
    ('apella-files', 'destroy', 'professor', '*', 'owned_free', ''),
    ('apella-files', 'destroy', 'candidate', '*', 'owned_free', ''),
    ('apella-files', 'destroy', 'institutionmanager', '*', 'owned_free', ''),
    ('apella-files', 'destroy', 'assistant', '*', 'owned_free', ''),
    ('old-users', 'list', 'helpdeskadmin', '*', '*', ''),
    ('old-users', 'list', 'helpdeskuser', '*', '*', ''),
    ('old-users', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('old-users', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('positions-portal', 'list', 'anonymous', '*', '*', ''),
    ('positions-portal', 'retrieve', 'anonymous', '*', '*', ''),
    ('user-applications', 'create', 'professor', '*', 'can_create', ''),
    ('user-applications', 'list', 'helpdeskadmin', '*', '*', ''),
    ('user-applications', 'list', 'professor', '*', '*', ''),
    ('user-applications', 'list', 'helpdeskuser', '*', '*', ''),
    ('user-applications', 'list', 'institutionmanager', '*', '*', ''),
    ('user-applications', 'list', 'assistant', '*', '*', ''),
    ('user-applications', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('user-applications', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('user-applications', 'retrieve', 'professor', '*', '*', ''),
    ('user-applications', 'retrieve', 'institutionmanager', '*', '*', ''),
    ('user-applications', 'retrieve', 'assistant', '*', '*', ''),
    ('user-applications', 'accept_application', 'institutionmanager', '*', 'owned', ''),
    ('user-applications', 'accept_application', 'assistant', '*', 'owned', ''),
    ('user-applications', 'reject_application', 'institutionmanager', '*', 'owned', ''),
    ('user-applications', 'reject_application', 'assistant', '*', 'owned', ''),
    ('jira-issues', 'list', 'helpdeskadmin', '*', '*', ''),
    ('jira-issues', 'list', 'helpdeskuser', '*', '*', ''),
    ('jira-issues', 'list', 'institutionmanager', '*', '*', ''),
    ('jira-issues', 'list', 'assistant', '*', '*', ''),
    ('jira-issues', 'list', 'professor', '*', '*', ''),
    ('jira-issues', 'list', 'candidate', '*', '*', ''),
    ('jira-issues', 'list', 'unverified-user', '*', '*', ''),
    ('jira-issues', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('jira-issues', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('jira-issues', 'retrieve', 'institutionmanager', '*', '*', ''),
    ('jira-issues', 'retrieve', 'assistant', '*', '*', ''),
    ('jira-issues', 'retrieve', 'professor', '*', '*', ''),
    ('jira-issues', 'retrieve', 'candidate', '*', '*', ''),
    ('jira-issues', 'retrieve', 'unverified-user', '*', '*', ''),
    ('jira-issues', 'create', 'professor', '*', '*', ''),
    ('jira-issues', 'create', 'candidate', '*', '*', ''),
    ('jira-issues', 'create', 'helpdeskadmin', '*', '*', ''),
    ('jira-issues', 'create', 'helpdeskuser', '*', '*', ''),
    ('jira-issues', 'create', 'institutionmanager', '*', '*', ''),
    ('jira-issues', 'create', 'assistant', '*', '*', ''),
    ('jira-issues', 'create', 'unverified-user', '*', '*', ''),
]
